/**
****************************************************************************
* @file         facedetect-sample.cpp
* @author       Shunya Core Team
* @brief        This file provides the source code for a demo showing
*               the ability of face-detection on Shunya-OS
*         
@verbatim
-----------------------------------------------------------------------------
                        ## Description ## 
-----------------------------------------------------------------------------
## Introduction
This file contains an example code for using face-detection on 
Shunya-OS. This code plots a bounding box on the face in the 
image given and also plots points on the end-points of your lips and 
centre of the eyes.

## Compile 
1. Open terminal in src folder
2. Run command `./setup.sh`

## Run 
1. Open terminal 
2. Run command `./build/facedetect`
**/

// Header file for Shunyaface(Face-Recognition/Detection)
#include "shunyaface.h"
#include "opencv2/opencv.hpp"
#include <bits/stdc++.h>
#include "fstream"
using namespace std;
using namespace cv;
int main(int argc, char** argv){
	// Create instance of class FaceRec
	FaceRec facerec;
	Mat frame;
	Mat frame2;
	// Read the image using OpenCV			
	frame = imread("roger2.jpg", CV_LOAD_IMAGE_COLOR);
	// Pass the frame to the detect function which will return the frame with a bounding-box on the face and points on the lips and eyes
	frame2 = facerec.detect(frame); 
	// Display the frame to the user
	imshow("face-detect", frame2);
	waitKey(0);
	return(0);
}
